﻿namespace Text_Adventure_Tutorial
{
    internal class Weapon : Item
    {
        /// <summary>
        /// This class inherits from the Item class
        /// so gets the Name and Description properties from
        /// the base class
        /// It can be used to inflict damage on Items or Enemies
        /// </summary>
        
        public int Damage { get; set; }
        public Weapon(string name, string description, int damage) : base(name, description)
        {
            Damage = damage;
        }
    }
}
