﻿namespace Text_Adventure_Tutorial
{
    internal class Note : Item
    {
        /// <summary>
        /// This class inherits from the Item class
        /// so gets the Name and Description properties from
        /// the base class
        /// It can be used to allow the player to read notices, maps, clues etc.
        /// </summary>
        
        public string Message { get; set; }
        public Note(string name, string description, string message) : base(name, description)
        {
            Message = message;
        }
    }
}
